require "import"
import "android.content.Context"
import "android.media.AudioManager"
import "android.widget.Toast"

-- Obtener el administrador de audio
local audioManager = service.getSystemService(service.AUDIO_SERVICE)

-- Configurar la salida de audio de la música en Bluetooth y el lector de pantalla en el dispositivo móvil
function configureAudioRoutes()
    -- Verificar si el dispositivo Bluetooth está conectado
    if audioManager.isBluetoothScoOn() then
        -- Establecer el dispositivo de salida de audio para música como Bluetooth
        audioManager.setBluetoothScoOn(true)
        audioManager.setSpeakerphoneOn(false)
        audioManager.startBluetoothSco()
        -- Configurar la salida de audio para música
        audioManager.setStreamVolume(AudioManager.STREAM_MUSIC, 10, AudioManager.FLAG_SHOW_UI)
        audioManager.setRouting(AudioManager.MODE_NORMAL, AudioManager.ROUTE_BLUETOOTH_A2DP, AudioManager.ROUTE_ALL)
        -- Configurar la salida de audio para el lector de pantalla
        audioManager.setStreamVolume(AudioManager.STREAM_VOICE_CALL, 10, AudioManager.FLAG_SHOW_UI)
        audioManager.setRouting(AudioManager.MODE_IN_CALL, AudioManager.ROUTE_SPEAKER, AudioManager.ROUTE_ALL)
    else
        -- Si no hay Bluetooth, utilizar el altavoz del dispositivo para todo el audio
        audioManager.setSpeakerphoneOn(true)
        audioManager.setStreamVolume(AudioManager.STREAM_MUSIC, 10, AudioManager.FLAG_SHOW_UI)
        audioManager.setStreamVolume(AudioManager.STREAM_VOICE_CALL, 10, AudioManager.FLAG_SHOW_UI)
    end
    -- Mostrar un mensaje al usuario
    Toast.makeText(service, "Configuración activa: Creación de caballero amable", Toast.LENGTH_LONG).show()
end

-- Ejecutar la función para configurar las rutas de audio
configureAudioRoutes()

return true